<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class ReportDataPasseggeri extends Model
{
    use HasFactory;

    //protected $primaryKey = 'progressive';
    public $timestamps = false;
    protected $table = 'fcf_reports_report_data_passeggeri';

    protected $fillable = [
        'report_id',
        'progressive',
        'passeggero',
        'infortunato',
        'infortunato_ospedale'

    ];

    public function report()
    {
        return $this->belongsTo(\App\Models\Report::class, 'report_id');
    }

    public function passeggero_value()
    {
        return $this->belongsTo(\App\Models\Anagrafica::class, 'passeggero');
    }

}
